package com.engine.salary.mapper.salarysob;

import com.engine.salary.entity.salarysob.po.SalarySobDefaultItemGroupPO;

import java.util.List;

public interface SalarySobDefaultItemGroupMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<SalarySobDefaultItemGroupPO> listAll();
    
    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<SalarySobDefaultItemGroupPO> listSome(SalarySobDefaultItemGroupPO sobDefaultItemGroup);
    

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	SalarySobDefaultItemGroupPO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param sobDefaultItemGroup 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(SalarySobDefaultItemGroupPO sobDefaultItemGroup);
	
	/**
     * 修改，修改所有字段
     *
     * @param sobDefaultItemGroup 修改的记录
     * @return 返回影响行数
     */
	int update(SalarySobDefaultItemGroupPO sobDefaultItemGroup);
	
	/**
     * 修改，忽略null字段
     *
     * @param sobDefaultItemGroup 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(SalarySobDefaultItemGroupPO sobDefaultItemGroup);
	
	/**
     * 删除记录
     *
     * @param sobDefaultItemGroup 待删除的记录
     * @return 返回影响行数
     */
	int delete(SalarySobDefaultItemGroupPO sobDefaultItemGroup);
	
}